package com.liang.service.impl;

import com.liang.entity.StaActualexpenses;
import com.liang.dao.StaActualexpensesDao;
import com.liang.service.StaActualexpensesService;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import javax.annotation.Resource;
import java.util.List;

/**
 * (StaActualexpenses)表服务实现类
 *
 * @author makejava
 * @since 2023-05-30 11:38:53
 */
@Service("staActualexpensesService")
public class StaActualexpensesServiceImpl implements StaActualexpensesService {
    @Resource
    private StaActualexpensesDao staActualexpensesDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public StaActualexpenses queryById(Integer id) {
        return this.staActualexpensesDao.queryById(id);
    }

    /**
     * 分页查询
     *
     * @param staActualexpenses 筛选条件
     * @param pageRequest       分页对象
     * @return 查询结果
     */
    @Override
    public Page<StaActualexpenses> queryByPage(StaActualexpenses staActualexpenses, PageRequest pageRequest) {
        long total = this.staActualexpensesDao.count(staActualexpenses);
        return new PageImpl<>(this.staActualexpensesDao.queryAllByLimit(staActualexpenses, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param staActualexpenses 实例对象
     * @return 实例对象
     */
    @Override
    public StaActualexpenses insert(StaActualexpenses staActualexpenses) {
        this.staActualexpensesDao.insert(staActualexpenses);
        return staActualexpenses;
    }

    /**
     * 修改数据
     *
     * @param staActualexpenses 实例对象
     * @return 实例对象
     */
    @Override
    public StaActualexpenses update(StaActualexpenses staActualexpenses) {
        this.staActualexpensesDao.update(staActualexpenses);
        return this.queryById(staActualexpenses.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.staActualexpensesDao.deleteById(id) > 0;
    }

    @Override
    public int deleteByZb(Integer zb) {
        return this.staActualexpensesDao.deleteByZb(zb);
    }

    @Override
    public int batchDeleteByZb(List<Integer> zbList) {
        return this.staActualexpensesDao.batchDeleteByZb(zbList);
    }

    @Override
    public int insertBatch(List<StaActualexpenses> expenseList) {
        return this.staActualexpensesDao.insertBatch(expenseList);
    }

    @Override
    public List<StaActualexpenses> getClfList(Integer zb) {
        return this.staActualexpensesDao.getClfList(zb);
    }
}
